View Issue Details

IDProjectCategoryView StatusLast Update
0000797SymmetricDSBugpublic2014-02-02 20:52
ReportertregnagoAssigned Tochenson 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.3 
Target Version3.1.4Fixed in Version3.1.4 
Summary0000797: table structure sync with wildcards
DescriptionTable structure syncronizzation (initial.load.create.first initial.load.delete.first ) does not support triggers with wildcards.
Steps To ReproduceFor example, using this trigger:
insert into sym_trigger
(trigger_id,source_table_name,channel_id,last_update_time,create_time)
values('sys','sys*','sys',current_timestamp,current_timestamp);

within a node reload operation produces NULL pointer exceptions and does not correctly report table structures between nodes.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d6a78931

2012-09-07 20:00:33

chenson

Details Diff
0000797: [Bug] table structure sync with wildcards
0000797
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File

Issue History

Date Modified Username Field Change
2012-08-31 12:21 tregnago New Issue
2012-08-31 12:50 chenson Assigned To => chenson
2012-08-31 12:50 chenson Status new => assigned
2012-08-31 17:48 chenson Product Version => 3.1.3
2012-08-31 17:48 chenson Target Version => 3.1.4
2012-09-07 19:52 chenson Status assigned => resolved
2012-09-07 19:52 chenson Fixed in Version => 3.1.4
2012-09-07 19:52 chenson Resolution open => fixed
2012-09-07 19:53 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6253
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d6a78931